    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace MountAndBlade
{
    public class ChargeThing : MonoBehaviour
    {
        PhysicalBehaviour b;

        void Awake()
        {
            b = GetComponent<PhysicalBehaviour>();
        }

  void FixedUpdate()
            {
                b.charge = 10;
            }
        }

        public class MountAndBlade
    {

        public static void Main()
        {

            //vvvvvvvvvvvv
            //Hello Dataminer! I'm not a coder, so yes, this does look like trash. do not worry, you can find some interesting parts of code here though.
            //^^^^^^^^^^^^





            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Rhodok Sharpshooter - M&B",
                    DescriptionOverride = "Rhodok Sharpshooter.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("RhodokPreview.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("RhodokSkin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var head = Instance.transform.GetChild(5);

                        var hornobject = new GameObject("horn");
                        hornobject.transform.SetParent(head);
                        hornobject.transform.localPosition = new Vector3(0, 0f);
                        hornobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hornobject.transform.localScale = new Vector3(1f, 1f);
                        var hornsprite = hornobject.AddComponent<SpriteRenderer>();
                        hornsprite.sprite = ModAPI.LoadSprite("Cpet1.png");
                        hornsprite.sortingLayerName = "Top";

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(0, 0, 0); //second bruise colour. red by default
                        person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
                        person.SetBloodColour(0, 0, 0); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default

                        foreach (var body in person.Limbs)
                        {
                             body.Health *= 10f;
                           }
                       }
                   }
               );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Swadian Footman - M&B",
                    DescriptionOverride = "Swadian Footman.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("SwadianPreview.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Swadian Skin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var head = Instance.transform.GetChild(5);

                        var hornobject = new GameObject("horn");
                        hornobject.transform.SetParent(head);
                        hornobject.transform.localPosition = new Vector3(0, 0f);
                        hornobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hornobject.transform.localScale = new Vector3(1f, 1f);
                        var hornsprite = hornobject.AddComponent<SpriteRenderer>();
                        hornsprite.sprite = ModAPI.LoadSprite("helmet.png");
                        hornsprite.sortingLayerName = "Top";

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(0, 0, 0); //second bruise colour. red by default
                        person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
                        person.SetBloodColour(0, 0, 0); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default

                        foreach (var body in person.Limbs)
                        {
                             body.Health *= 10f;
                           }
                       }
                   }
               );

             ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "KherRec - M&B",
                    NameToOrderByOverride = "KherRec",
                    DescriptionOverride = "KherRec from Mount And Blade!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("KherRecPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("KherRecSkin.png");
						var muscle = ModAPI.LoadTexture("Muscles.png");
                        person.SetBodyTextures(skin, muscle, null, 1);
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Janakir Khan - M&B",
                    DescriptionOverride = "Janakir Khan",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("JanakirKhanPreview.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var skin = ModAPI.LoadTexture("Janakir Khan.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var head = Instance.transform.GetChild(5);

                        var hornobject = new GameObject("horn");
                        hornobject.transform.SetParent(head);
                        hornobject.transform.localPosition = new Vector3(0, 0f);
                        hornobject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        hornobject.transform.localScale = new Vector3(1f, 1f);
                        var hornsprite = hornobject.AddComponent<SpriteRenderer>();
                        hornsprite.sprite = ModAPI.LoadSprite("Hair.png");
                        hornsprite.sortingLayerName = "Top";

                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(0, 0, 0); //second bruise colour. red by default
                        person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
                        person.SetBloodColour(0, 0, 0); // blood clour. dark red by default
                        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default

                        foreach (var body in person.Limbs)
                        {
                             body.Health *= 10f;
                           }
                       }
                   }
               ); 

              ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "King Harlaus - M&B",
                    NameToOrderByOverride = "King Harlaus",
                    DescriptionOverride = "King Harlaus from Mount And Blade!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("KingHarlausPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("KingHarlaus.png");
						var muscle = ModAPI.LoadTexture("Muscles.png");
                        person.SetBodyTextures(skin, muscle, null, 1);
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "King Gravet - M&B",
                    NameToOrderByOverride = "King Gravet",
                    DescriptionOverride = "King Gravet from Mount And Blade!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("KingGravetPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("KingGravet.png");
						var muscle = ModAPI.LoadTexture("Muscles.png");
                        person.SetBodyTextures(skin, muscle, null, 1);
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "King Ragnar - M&B",
                    NameToOrderByOverride = "King Ragnar",
                    DescriptionOverride = "King Ragnar from Mount And Blade!",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("KingRagnarPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("KingRagnar.png");
						var muscle = ModAPI.LoadTexture("Muscles.png");
                        person.SetBodyTextures(skin, muscle, null, 1);
                    }
                }
            );
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Sword - M&B",
                    NameToOrderByOverride = "Sword from Mount&Blade",
                    DescriptionOverride = "Sword from Mount&Blade",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("SwordPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sword.png", 1f);
						Instance.FixColliders();
                    }
                }
            );
			
          
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Spear"),
                    NameOverride = "Spear - M&B",
                    NameToOrderByOverride = "Spear from Mount&Blade",
                    DescriptionOverride = "Spear from Mount&Blade",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("SparePreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("spare.png", 1f);
						Instance.FixColliders();
                    }
                }
            );
			
            
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Swadian Shield - M&B",
                    NameToOrderByOverride = "Swadian Shield from Mount&Blade",
                    DescriptionOverride = "Swadian Shield from Mount&Blade",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("SwadianShieldPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Swadianshield.png", 1f);
						Instance.FixColliders();
                    }
                }
            );
			
            
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Little Nord Shield - M&B",
                    NameToOrderByOverride = "Little Nord Shield - Mount&Blade",
                    DescriptionOverride = "ittle Nord Shield - Mount&Blad",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("littleshieldpreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("littleshield.png", 1f);
						Instance.FixColliders();
                    }
                }
            );

            
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "King Sword - M&B",
                    NameToOrderByOverride = "King Sword",
                    DescriptionOverride = "King Sword - Mount&Blade",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("KingSwordPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("KingSword.png", 1f);
						Instance.FixColliders();
                    }
                }
            );
			
            
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Two-handed Sword - M&B",
                    NameToOrderByOverride = "twohandedsword",
                    DescriptionOverride = "Two-handed Sword - Mount&Blade",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("twohandedswordPreview.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("twohandedsword.png", 1f);
						Instance.FixColliders();
                    }
                }
            );


        }

      } 
    
    }
